%define name smeserver-dhcpmanager
%define version 2.0.4
%define release 9

Summary: provide a dhcp panel in the server-manager for The SME Server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: %{name}-%{version}.tar.gz
License: GNU GPL version 2
URL: http://www.contribs.org
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
#Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 9.0
Requires: net-tools
Requires: nmap >= 2:6.25
AutoReqProv: no
Patch0: smeserver-dhcpmanager-2.0.4-locale-2015-09-12.patch
Patch1: smeserver-dhcpmanager-2.0.4-locale-2016-03-09.patch
Patch2: smeserver-dhcpmanager-2.0.4.uniq_by_mac.patch
Patch3: smeserver-dhcpmanager-2.0.4-locale-2017-02-02.patch
Patch4: smeserver-dhcpmanager-2.0.4-locale-2017-03-25.patch
Patch5: smeserver-dhcpmanager-2.0.4-locale-2017-12-02.patch

%description
Implementation of some feature arround dhcp clients like : wol, cleaning dhcpd.leases, Scan of your network etc//

%changelog
* Mon Oct 12 2020 Brian Read <brianr@bjsystems.co.uk> 2.0.4-9.sme
- Import to SME10 tree - [SME: 11029 ]

* Sat Dec 02 2017 SME Translation Server <translations@contribs.org> 2.0.4-8.sme
- apply locale 2017-12-02 patch

* Sat Mar 25 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.4-7.sme
- apply locale 2017-03-25 patch

* Mon Mar 13 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.4-6.sme
- fix issue with last patch deleting pt-br file  [SME: 10150]

* Wed Feb 01 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.4-5.sme
- apply locale 2017-02-02.patch

* Tue Jun 28 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 2.0.4-4.sme
- sort the IP table by uniq mac address with the last dhcp lease

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 2.0.4-3.sme
- apply locale 2016-03-09 patch

* Sat Sep 12 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.0.4-2.sme
- Added smeserver-dhcpmanager-2.0.4-locale-2015-09-12.patch

* Tue Aug 18 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.0.4-1.sme
- new tarball 2.0.4

* Tue Aug 18 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.0.3-1.sme
- new tarball 2.0.3

* Mon Aug 17 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.0.2-2.sme
- added locale smeserver-dhcpmanager-2.0.2-locale-2015-08-17.patch

* Thu Aug 13 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.0.2-1.sme
- new sources in cvs

* Wed Aug 12 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.0.1-1.sme
- Initial release to contribs9

* Wed Aug 12 2015 Stephane de Labrusse <stephdl@de-labrusse.fr> smeserver-dhcpmanager-2.0-1.sme
-Translations added
-new WebUI

* Sun May 18 2014 Stephane de Labrusse <stephdl@de-labrusse.fr> smeserver-dhcpmanager-1.5-12
- First release to sme9

* Wed Feb 05 2014 Stephane de Labrusse <stephdl@de-labrusse.fr> smeserver-dhcpmanager-1.5-11
- add default db values and change options to nmap in order to see name of computer
 
* Mon Jan 13 2014 Stephane de Labrusse <stephdl@de-labrusse.fr> smeserver-dhcpmanager-1.5-10
- english wording correction [sme:8122]
- change the nmap version to 6.25 (available in smecontribs) [sme:8120]
- add an option to remove all leases
- some subroutines added in the goal to save settings and stay on the same page (main page and connected IP)
- some menu setting box redesigned.

* Sun Jan 05 2014 Stephane de Labrusse <stephdl@de-labrusse.fr> smeserver-dhcpmanager-1.5-5
- Add a checkIP routine against wrong IP [sme:8015]
- Add a new panel to see connected IP [sme:8113]
- Add a counter of host up on the LAN (using nmap) [sme:8111]

* Sun Dec 29 2013 Stephane de Labrusse <stephdl@de-labrusse.fr> smeserver-dhcpmanager-1.5-3
- adaptation for SME Server 8.0
* Thu Dec 23 2004 Thierry Quaak <thierry@quaak.net>
- Last release of e-smith-dhcpmanager-1.5-1, thanks a lot for his work

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
perl createlinks


%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post
#/etc/e-smith/events/actions/navigation-conf




%postun
#rm /etc/e-smith/templates-custom/etc/dhcpd.conf/25NetbiosNameServers

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

